# OpenLayers.Control.ZoomBox

The ZoomBox control enables zooming directly to a given extent, by drawing a box on the map. The box is drawn by holding down shift, whilst dragging the mouse.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.ZoomBox | The ZoomBox control enables zooming directly to a given extent, by drawing a box on the map.
Properties |
type | {OpenLayers.Control.TYPE}
out | {Boolean} Should the control be used for zooming out?
alwaysZoom | {Boolean} Always zoom in/out, when box drawed
Functions |
draw |
zoomBox |

### Properties

### type

{OpenLayers.Control.TYPE}

### out

{Boolean} Should the control be used for zooming out?

### alwaysZoom

{Boolean} Always zoom in/out, when box drawed

### Functions

### draw

> draw: function()

### zoomBox

> zoomBox: function ( | position | )

#### Parameters

position | {OpenLayers.Bounds} or {OpenLayers.Pixel}

> draw: function()

> zoomBox: function ( | position | )

Controls affect the display or behavior of the map.
Instances of this class represent bounding boxes.
This class represents a screen coordinate, in x and y coordinates
Close